GET /canvas/details

braze.com

Summary: Canvas Details
Operation ID: canvasDetails
Auth: unknown
Description

This endpoint allows you to export metadata about a Canvas, such as its name, when it was created, its current status, and more. ### Components Used - [Canvas Identifier](https://www.braze.com/docs/api/identifier_types/) ## Response ```json Content-Type: application/json Authorization: Bearer YOUR-REST-API-KEY { "created_at": (string) date created as ISO 8601 date, "updated_at": (string) date updated as ISO 8601 date, "name": (string) Canvas name, "description": (string) Canvas description, "archived": (boolean) whether this Canvas is archived, "draft": (boolean) whether this Canvas is a draft, "schedule_type": (string) type of scheduling action, "first_entry": (string) date of first entry as ISO 8601 date, "last_entry": (string) date of last entry as ISO 8601 date, "channels": (array of strings) step channels used with Canvas, "variants": [ { "name": (string) name of variant, "id": (string) API identifier of the variant, "first_step_ids": (array of strings) API identifiers for first steps in variant, "first_step_id": (string) API identifier of first step in variant (deprecated in November 2017, only included if the variant has only one first step) }, ... (more variations) ], "tags": (array of strings) tag names associated with the Canvas, "steps": [ { "name": (string) name of step, "id": (string) API identifier of the step, "next_step_ids": (array of strings) API identifiers of steps following step, "channels": (array of strings) channels used in step, "messages": { "message_variation_id": (string) { // <=This is the actual id "channel": (string) channel type of the message (eg., "email"), ... channel-specific fields for this message, see Campaign Details Endpoint API Response for example message responses ... } } }, ... (more steps) ], "message": (required, string) the status of the export, returns 'success' when completed without errors } ```

Parameters (1)

canvas_id (string, query, optional)

(Required) String Canvas API Identifier

No probe data for this endpoint yet.